Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface NativeBinaryTasks

    org.gradle.nativebinaries.NativeBinaryTasks
      java.lang.Iterable
          org.gradle.api.DomainObjectCollection
              java.util.Collection
                  org.gradle.api.DomainObjectSet

All Superinterfaces:
  Iterable, DomainObjectCollection, Collection, DomainObjectSet

    @Incubating
    public interface NativeBinaryTasks
    extends DomainObjectSet

Provides access to key tasks used for building the binary.

Method Summary
`BuildBinaryTask` | `getBuilder()` The task that builds the binary out of object files: either the link task or create static library task as appropriate.
`Task` | `getCreateStaticLib()` The create static library task if present.
`Task` | `getLink()` The link task, if one is present.

Methods inherited from interface DomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### getBuilder

    public BuildBinaryTask getBuilder()

  The task that builds the binary out of object files: either the link task or create static library task as appropriate.

### getCreateStaticLib

    public Task getCreateStaticLib()

  The create static library task if present. Null otherwise.

### getLink

    public Task getLink()

  The link task, if one is present. Null otherwise.

Gradle API 1.10